Begin Passkey Login with MFA Token
Begins the MFA Passkey verification flow.
Begins the MFA Passkey verification flow.
Authorization
APIKey apikey<token>
Tenant API Key for authentication
In: query
Query Parameters
secondfactorauthenticationtoken*string
Second factor token
Response Body
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/identity/v2/auth/login/2fa/passkey/begin?secondfactorauthenticationtoken=4asdf575-5678-4065-b717-fa0n7i5ca81a"{
"LoginBeginCredential": {
"publicKey": {
"challenge": "F8e3QHkHo-vlv-3R09qOfmBDY8A9GrqYK9hVujdjGHE",
"rpId": "login2website.com",
"allowCredentials": [
{
"type": "public-key",
"id": "bzsKo52E6_sh5mCC3FjB_w",
"transports": [
"internal"
]
}
],
"timeout": 60000,
"userVerification": "preferred",
"extensions": {
"appid": "https://example.com",
"exampleExtension": "some-value"
}
}
}
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The apikey is a required parameter."
}{
"ErrorCode": 901,
"Message": "The API key is unauthorized",
"Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}